#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> brojevi;
    int p;
    int br=0;
    vector<int> freq(n,0);
    for(int i = 0;i<n;i++){
        int x;
        if(i>0){
            p=x;
        }
        cin >> x;
        brojevi.push_back(x);
        if(p>x){
            freq[br]+=1;
        }
    }
    int q;
    cin >> q;
    vector<string> odgovori;
    for(int i = 0;i<q;i++){
        int a,b;
        cin >> a >> b;
        if(freq[b]-freq[a]<=1){
            odgovori.push_back("DA");
        }else{
            odgovori.push_back("NE");
        }
    }
    for(int i = 0;i<odgovori.size();i++){
        cout << odgovori[i] << endl;
    }
    return 0;
}